libxfcegui4-4_4.10.0-2_amd64.deb


Advertisement

Description

libxfcegui4-4 - Basic GUI C functions for Xfce4

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libxfcegui4-4
Package version: 4.10.0
Package release: 2
Package architecture: amd64
Package type: deb
Installed size: 1.23 KB
Download size: 328.87 KB
Official Mirror: ftp.br.debian.org
This package contains a library which provides the very basic GUI functions used by the Xfce4 desktop suite. If you intend to run Xfce4, then you need to install this package.

Alternatives

    Download

    Source package: libxfcegui4

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libxfcegui4-4 deb package:
      # sudo apt-get install libxfcegui4-4

    Files

    • /usr/lib/x86_64-linux-gnu/libxfcegui4.so.4
    • /usr/lib/x86_64-linux-gnu/libxfcegui4.so.4.3.0
    • /usr/share/doc/libxfcegui4-4/changelog.Debian.gz
    • /usr/share/doc/libxfcegui4-4/changelog.gz
    • /usr/share/doc/libxfcegui4-4/copyright
    • /usr/share/icons/hicolor/48x48/apps/xfce-edit.png
    • /usr/share/icons/hicolor/48x48/apps/xfce-filemanager.png
    • /usr/share/icons/hicolor/48x48/apps/xfce-games.png
    • /usr/share/icons/hicolor/48x48/apps/xfce-graphics.png
    • /usr/share/icons/hicolor/48x48/apps/xfce-internet.png
    • /usr/share/icons/hicolor/48x48/apps/xfce-man.png
    • /usr/share/icons/hicolor/48x48/apps/xfce-multimedia.png
    • /usr/share/icons/hicolor/48x48/apps/xfce-printer.png
    • /usr/share/icons/hicolor/48x48/apps/xfce-schedule.png
    • /usr/share/icons/hicolor/48x48/apps/xfce-sound.png
    • /usr/share/icons/hicolor/48x48/apps/xfce-terminal.png
    • /usr/share/icons/hicolor/48x48/apps/xfce-unknown.png
    • /usr/share/icons/hicolor/48x48/apps/xfce-utils.png
    • /usr/share/icons/hicolor/scalable/apps/xfce-filemanager.svg
    • /usr/share/locale/am/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/ar/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/ast/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/be/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/bn_IN/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/ca/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/cs/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/cy/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/da/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/de/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/dz/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/el/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/en_GB/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/eo/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/es/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/et/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/eu/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/fa/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/fi/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/fr/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/gl/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/gu/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/he/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/hr/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/hu/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/hy/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/id/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/is/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/it/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/ja/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/ka/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/kk/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/ko/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/ku/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/lt/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/lv/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/mk/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/mr/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/nb/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/nl/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/nn/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/pa/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/pl/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/pt/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/pt_BR/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/ro/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/ru/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/si/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/sk/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/sq/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/sv/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/ta/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/te/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/tl_PH/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/tr/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/ug/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/uk/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/ur/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/ur_PK/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/zh_CN/LC_MESSAGES/libxfcegui4.mo
    • /usr/share/locale/zh_TW/LC_MESSAGES/libxfcegui4.mo

    Changelog

    2013-05-22 - Yves-Alexis Perez <corsac@debian.org> libxfcegui4 (4.10.0-2) unstable; urgency=low * Upload to unstable. * debian/rules: - enable all hardening flags.

    2012-05-05 - Lionel Le Folgoc <mrpouit@gmail.com> libxfcegui4 (4.10.0-1) experimental; urgency=low * New upstream stable release. * debian/patches: - 01_xfce-exec-use-thunar.patch: dropped, now use exo-open. - 03_fix-link-lm.patch: dropped, included upstream. * debian/control: revert to unversioned libxfce4util-dev, bump required version to >= 4.10.0.

    2012-04-15 - Yves-Alexis Perez <corsac@debian.org> libxfcegui4 (4.9.0-1) experimental; urgency=low [ Lionel Le Folgoc ] * debian/patches: add missing DEP3 headers. * debian/control: switch to libxfce4util6-dev for the new api. [ Yves-Alexis Perez ] * New upstream development release. * debian/rules: - build with --parallel. - use debhelper 9 / dpkg-dev 1.16.1 hardening support. - use --fail-missing in dh_install. * debian/control: - bump debhelper build-dep to 9. - add build-dep on dpkg-dev 1.16.1. - drop hardening-includes build-dep. - update standards version to 3.9.3. - add Pre-Depends on ${misc:Pre-Depends} in libxfcegui4-4 for multiarch. * debian/compat bumped to 9. * Use multi-arch paths in install files. * debian/libxfcegui4-4.install: - stop installing glade files since they are gone. * debian/libxfcegui4-dev: - don't install static libs, we don't build them anymore.

    2011-09-05 - Yves-Alexis Perez <corsac@debian.org> libxfcegui4 (4.8.1-5) unstable; urgency=low * debian/patches: - 03_fix-link-lm added, explicit link against libmath. closes: #640452 * debian/rules: - run xdt-autogen before configure. * debian/control: - add build-dep on xfce4-dev-tools, libtool and gtk-doc-tools.

    2011-04-19 - Yves-Alexis Perez <corsac@debian.org> libxfcegui4 (4.8.1-4) unstable; urgency=low * Upload to unstable. * debian/control: - remove Martin, Emanuele, Simon and Michael from uploaders, thanks to them. - update standards version to 3.9.2.

    2011-02-14 - Yves-Alexis Perez <corsac@debian.org> libxfcegui4 (4.8.1-3) experimental; urgency=low * debian/control: - add Breaks: on xfwm4 and xfce4-settings before 4.8 because libxfcekbdprivate is now gone. closes: #613019

    2011-02-11 - Yves-Alexis Perez <corsac@debian.org> libxfcegui4 (4.8.1-2) experimental; urgency=low * debian/control: - update libxfce4util build-dep to pick 4.8.0. closes: #612853

    2011-02-10 - Yves-Alexis Perez <corsac@debian.org> libxfcegui4 (4.8.1-1) experimental; urgency=low [ Yves-Alexis Perez ] * New upstream development release. * debian/libxfcegui4-4.shlibs: - bump shlibs to 4.7. - drop libxfce4kbd-private shlib, not present anymore. * debian/control, debian/xfce-keyboard-shortcuts.install: - drop xfce-keyboard-shortcut package, now provided by libxfce4ui. * debian/control: - update standards version to 3.9.1. - add build-dep on hardening-includes. * debian/rules: - pick {C,LD}FLAGS from dpkg-buildflags - add -O1, -z,defs, --as-needed to LDFLAGS - add hardening flags to {C,LD}FLAGS. * debian/copyright updated for new releases. [ Lionel Le Folgoc ] * debian/control, debian/glade-xfce.install: - drop glade-xfce package, now provided by libxfce4ui. * debian/control: - add myself to Uploaders - drop libgladeui-1-dev build-dep, not needed anymore.

    2010-05-23 - Yves-Alexis Perez <corsac@debian.org> libxfcegui4 (4.6.4-1) unstable; urgency=low * New upstream release. * Switch to 3.0 (quilt) source format. * debian/rules: - don't use quilt addon. * debian/control: - drop quilt build-dep.

    2010-02-07 - Yves-Alexis Perez <corsac@debian.org> libxfcegui4 (4.6.3-2) unstable; urgency=low * Override dh_strip so we don't end up with an empty dbg package. * debian/control: - update standards version to 3.8.4. - update debhelper build dep because using override.

    Advertisement
    Advertisement